org.eclipse.emf.cdo.util

## Class CDOCrossReferenceAdapter.CDOInverseCrossReferencer

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<EObject,java.util.Collection<EStructuralFeature.Setting>>
    - - org.eclipse.emf.ecore.util.EcoreUtil.CrossReferencer
      - - org.eclipse.emf.ecore.util.ECrossReferenceAdapter.InverseCrossReferencer
        - - org.eclipse.emf.cdo.util.CDOCrossReferenceAdapter.CDOInverseCrossReferencer

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<EObject,java.util.Collection<EStructuralFeature.Setting>>
  Enclosing class:
    CDOCrossReferenceAdapter

      protected class CDOCrossReferenceAdapter.CDOInverseCrossReferencer
      extends ECrossReferenceAdapter.InverseCrossReferencer

  An `InverseCrossReferencer` with an `addProxy(EObject, EObject)` method that is visible to `CDOCrossReferenceAdapter`.
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.util.ECrossReferenceAdapter.InverseCrossReferencer

      `crossReferenceFilter, proxyMap`

    - ### Fields inherited from class org.eclipse.emf.ecore.util.EcoreUtil.CrossReferencer

      `emfObjects`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CDOInverseCrossReferencer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addProxy(EObject proxy, EObject context)`

    - ### Methods inherited from class org.eclipse.emf.ecore.util.ECrossReferenceAdapter.InverseCrossReferencer

      `add, add, add, createCrossReferenceFilter, crossReference, getCrossReferences, newCollection, normalizeURI, remove, remove, removeProxies, removeProxy, resolve`

    - ### Methods inherited from class org.eclipse.emf.ecore.util.EcoreUtil.CrossReferencer

      `containment, crossReference, done, find, getCollection, handleCrossReference, newContentsIterator, print, print, toString`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### CDOInverseCrossReferencer

          protected CDOInverseCrossReferencer()

  - ### Method Detail

    - #### addProxy

          protected void addProxy(EObject proxy,
                                  EObject context)

      Overrides:
        `addProxy` in class `ECrossReferenceAdapter.InverseCrossReferencer`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html